<?php
/**
 * @author Kien trong // http://kienthuong.com
 * @copyright 2012
 */
?>
<article id="post-<?php the_ID(); ?>" <?php post_class('article'); ?>>

    <header class="entry-header twelve columns">
        <hgroup>
            <h2 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', THEME_NAME ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
            <div class="entry-meta"><span class="entry-post-time"><?php the_time('M d, Y') ?></span><span class="entry-comments"><?php comments_popup_link(__('No Comments',THEME_NAME), __('1 Comment',THEME_NAME), __('% Comments',THEME_NAME)); ?></span><span class="entry-author"><?php _e('by',THEME_NAME);?> <?php the_author_posts_link(); ?></span><span class="entry-categories"><?php the_category(', ') ?></span></div>
        </hgroup>
    </header> <!-- end entry-header -->
    <div class="clear"></div>
    
    <div class="entry-thumb four columns">
        <a href="<?php the_permalink(); ?>">
            <?php if ( has_post_thumbnail() ) { the_post_thumbnail( 'post-thumb' ); } ?>
        </a>
    </div>
	<div class="entry-content eight columns">
		<?php the_excerpt(); ?>
        <a class="button readmore" rel="bookmark" title="Permalink to <?php the_title(); ?>" href="<?php the_permalink(); ?>">Read More</a>
	</div><!-- .entry-content -->
    <div class="clear"></div>
    
    <footer class="entry-footer">
        
    </footer><!-- / endtry footer -->
    
</article>
<hr class="twelve columns" />