<?php

/* ------- FRAMEWORK INIT - ADMIN SETTING -------- */

  
function C2_settings(){
    $settings=array(
          'general' => array(
                'tab_title'=>'General Settings',
                'inputs'=>array(
                             array(
                                'name'=>'logo',
                                'title'=>'Display Blog Title or Custom Logo',
                                'type'=>'select', // text, checkbox, password, radio, textarea 
                                'desc'=>'', 
                                'options'=>array(
                                                array('value'=>'custom_logo','label'=>'Display Logo','checked'=>true), //  array('value', lable for value)
                                                array('value'=>'custom_title','label'=>'Display Blog Title and description ')
                                            )
                             ),
                             array(
                                'name'=>'logo_url',
                                'title'=>'Upload Your Logo',
                                'type'=>'upload', // text, checkbox, password, radio, textarea
                                'multiple'=>false,  // 
                                'default_value'=>"", // default value
                                'desc'=>"Upload your logo ." 
                             ),
                             array(
                                'name'=>'header_tracking_code',
                                'title'=>'Header tracking code',
                                'type'=>'textarea', // text, checkbox, password, radio, textarea 
                                'desc'=>"Paste your code here . This will be added into the header template of your theme , before </head> html tag",
                                'default_value'=>'' 
                             ),
                             array(
                                'name'=>'footer_tracking_code',
                                'title'=>'Footer tracking code',
                                'type'=>'textarea', // text, checkbox, password, radio, textarea 
                                'desc'=>"Paste your code here (eg : Google Analytics ). This will be added into the footer template of your theme",
                                'default_value'=>'' 
                             )
                                      
                    )// end inputs
                
                ),
                
                
                //-------------------------------------------------------------
                'Slider' => array(
                'tab_title'=>'Slider',
                'inputs'=>array(
                             array(
                                'name'=>'slider_disable_option',
                                'title'=>'Hide featured posts slider',
                                'type'=>'checkbox', // text, checkbox, password, radio, textarea 
                                'desc'=>"Check it if you want disable featured posts slider." ,
                                'options'=>array(
                                                array('name'=>'slider_disable','value'=>'1','label'=>'  Disable featured posts slider','checked'=>false)
                                            )
                             ),
                             array(
                                'name'=>'slider_numberposts',
                                'title'=>'Number of post to show:',
                                'type'=>'text',
                                'color'=>false,
                                'default_value'=>"5",
                                'desc'=>'Default number of post to show is "5"' 
                             ),
                             array(
                                'name'=>'slider_categories',
                                'title'=>'Categories multiple',
                                'type'=>'category', // text, checkbox, password, radio, textarea
                                'multiple'=>true,  // 
                                'default_value'=>"123", // default value
                                'desc'=>"Especially considering they started" 
                             ),
                    )// end inputs
                
                ),   // end tab
                
                //--------------------------------------------------
                
                //-------------------------------------------------------------
                'Layout' => array(
                'tab_title'=>'Layout',
                'inputs'=>array(
                            array(
                                'name'=>'sidebar_position',
                                'title'=>'Sidebar Position',
                                'type'=>'checkbox', // text, checkbox, password, radio, textarea 
                                'desc'=>"" ,
                                'options'=>array(
                                                array('name'=>'sidebar_position_left','value'=>'1','label'=>'  Display left sidebar','checked'=>false)
                                            )
                             )
                    )// end inputs
                
                ),   // end tab
                
                //--------------------------------------------------
                
                //-------------------------------------------------------------
                'Social' => array(
                'tab_title'=>'Social',
                'inputs'=>array(
                            array(
                                'name'=>'twitter',
                                'title'=>'Twitter link :',
                                'type'=>'text', 
                                'color'=>false,
                                'default_value'=>"", 
                                'desc'=>'Enter your twitter link , include "http://"' 
                             ),
                             array(
                                'name'=>'facebook',
                                'title'=>'Facebook',
                                'type'=>'text', 
                                'color'=>false,
                                'default_value'=>"", 
                                'desc'=>'Enter your facebook link , include "http://"' 
                             ),
                             array(
                                'name'=>'flickr',
                                'title'=>'Flickr',
                                'type'=>'text', 
                                'color'=>false,
                                'default_value'=>"", 
                                'desc'=>'Enter your flickr link , include "http://"' 
                             ),
                             array(
                                'name'=>'email',
                                'title'=>'Email',
                                'type'=>'text', 
                                'color'=>false,
                                'default_value'=>"", 
                                'desc'=>'Enter your email link to' 
                             ),
                             array(
                                'name'=>'googleplus',
                                'title'=>'Google Plus',
                                'type'=>'text', 
                                'color'=>false,
                                'default_value'=>"", 
                                'desc'=>'Enter your facebook link , include "http://"' 
                             ),
                             array(
                                'name'=>'linkedin',
                                'title'=>'Linkedin',
                                'type'=>'text', 
                                'color'=>false,
                                'default_value'=>"", 
                                'desc'=>'Enter your linkedin link , include "http://"' 
                             ),
                             array(
                                'name'=>'youtube',
                                'title'=>'Youtube',
                                'type'=>'text', 
                                'color'=>false,
                                'default_value'=>"", 
                                'desc'=>'Enter your youtube link , include "http://"' 
                             ),
                             array(
                                'name'=>'digg',
                                'title'=>'Digg',
                                'type'=>'text', 
                                'color'=>false,
                                'default_value'=>"", 
                                'desc'=>'Enter your digg link , include "http://"' 
                             )    
                    )// end inputs
                
                ),   // end tab
                
                //--------------------------------------------------
                
                /*
                //-------------------------------------------------------------
                'All_element' => array(
                'tab_title'=>'All element',
                'inputs'=>array(
                             array(
                                'name'=>'anabme_c',
                                'title'=>'Categories one only',
                                'type'=>'category', // text, checkbox, password, radio, textarea
                                'multiple'=>false,  // 
                                'default_value'=>"123", // default value
                                'desc'=>"Especially considering they started" 
                             ),
                             
                             array(
                                'name'=>'anabme_c_af_Hiih',
                                'title'=>'Categories multiple',
                                'type'=>'category', // text, checkbox, password, radio, textarea
                                'multiple'=>true,  // 
                                'default_value'=>"123", // default value
                                'desc'=>"Especially considering they started" 
                             ),
                             
                             array(
                                'name'=>'anabme_p1',
                                'title'=>'pages',
                                'type'=>'page', // text, checkbox, password, radio, textarea
                                'multiple'=>false,  // 
                                'default_value'=>"123", // default value
                                'desc'=>"Especially considering they started" 
                             ),
                             
                             array(
                                'name'=>'anabme_p1_m',
                                'title'=>'pages multiple',
                                'type'=>'page', // text, checkbox, password, radio, textarea
                                'multiple'=>true,  // 
                                'default_value'=>"123", // default value
                                'desc'=>"Especially considering they started" 
                             ),
                             
                             array(
                                'name'=>'name_3_sa',
                                'title'=>'This is title chekbox Width on of',
                                'type'=>'on_off', // text, checkbox, password, radio, textarea 
                                'desc'=>"this is descritpions checkbox" ,
                                'options'=>array(
                                                array('name'=>'c1_sa','value'=>'value1','label'=>'label for value 1','checked'=>true), //  array('name','value', lable for value , is check ed)
                                                array('name'=>'c2_sa','value'=>'value2','label'=>'label for value 2','checked'=>true),
                                                array('name'=>'c3_sa','value'=>'value3','label'=>'label for value 3','checked'=>false),
                                                array('name'=>'c4_sa','value'=>'value4','label'=>'label for value 4','checked'=>false)
                                            )
                             ),
							 array(
                                'name'=>'ksonoff',
                                'title'=>'Test',
                                'type'=>'on_off', // text, checkbox, password, radio, textarea 
                                'desc'=>"this is descritpions checkbox" ,
                                'options'=>array(array('name'=>'c1_sa','value'=>'value1','label'=>'label for value 1','checked'=>false))
                             ),
                             
                             
                             
                             array(
                                'name'=>'anabme_123',
                                'title'=>'Theme Stylesheet',
                                'type'=>'text', // text, checkbox, password, radio, textarea 
                                'color'=>false,// true | false
                                'default_value'=>"123", // default value
                                'desc'=>"I was pretty surprised by the amount of people using my themes, especially considering they started" 
                             ),
                             
                             
                             array(
                                'name'=>'anabme_1',
                                'title'=>'This is title text',
                                'type'=>'text', // text, checkbox, password, radio, textarea 
                                'color'=>true,// true | false
                                'default_value'=>"123", // default value
                                'desc'=>"this is descritpions text" 
                             ),
                             
                             
                              array(
                                'name'=>'bnamne_2sf',
                                'title'=>'This is title password',
                                'type'=>'password', // text, checkbox, password, radio, textarea 
                                'desc'=>"this is descritpions password" 
                             ),
                             
                             array(
                                'name'=>'name_3',
                                'title'=>'This is title chekbox',
                                'type'=>'checkbox', // text, checkbox, password, radio, textarea 
                                'desc'=>"this is descritpions checkbox" ,
                                'options'=>array(
                                                array('name'=>'c1','value'=>'value1','label'=>'label for value 1','checked'=>true), //  array('name','value', lable for value , is check ed)
                                                array('name'=>'c2','value'=>'value2','label'=>'label for value 2','checked'=>true),
                                                array('name'=>'c3','value'=>'value3','label'=>'label for value 3','checked'=>false),
                                                array('name'=>'c4','value'=>'value4','label'=>'label for value 4','checked'=>false)
                                            )
                             ),
                             array(
                                'name'=>'name_4_78dds08sjh',
                                'title'=>'This is title For select layout 2',
                                'type'=>'layout', // 
                                'desc'=>"this is descritpions select layout 2", 
                                'options'=>array(
                                                array('value'=>'value1','label'=>'label for value 1'), //  array('value', lable for value)
                                                array('value'=>'value2','label'=>'label for value 2'),
                                                array('value'=>'value3','label'=>'label for value 3','checked'=>true),
                
                                            )
                             ),
                             
                             
                             array(
                                'name'=>'name_4_rd_jdhsjh',
                                'title'=>'This is title radio',
                                'type'=>'radio', // text, checkbox, password, radio, textarea 
                                'desc'=>"this is descritpions radio", 
                                'options'=>array(
                                                array('value'=>'value1','label'=>'label for value 1'), //  array('value', lable for value)
                                                array('value'=>'value2','label'=>'label for value 2'),
                                                array('value'=>'value3','label'=>'label for value 3','checked'=>true),
                
                                            )
                             ),
                              array(
                                'name'=>'name_4',
                                'title'=>'This is title select',
                                'type'=>'select', // text, checkbox, password, radio, textarea 
                                'desc'=>"this is descritpions select" ,
                                'options'=>array(
                                                array('value'=>'value1','label'=>'label for value 1'), //  array('value', option name for value)
                                                array('value'=>'value2','label'=>'label for value 2'),
                                                array('value'=>'value3','label'=>'label for value 3'),
                                                array('value'=>'value4','label'=>'label for value 4'),
                                                array('value'=>'value5','label'=>'label for value 5'),
                                            )
                             ),
                             
                             array(
                                'name'=>'name_5',
                                'title'=>'This is title textarea',
                                'type'=>'textarea', // text, checkbox, password, radio, textarea 
                                'desc'=>"this is descritpions textarea" 
                             )            
                                      
                    )// end inputs
                
                ),    // end tab
                
                //--------------------------------------------------
                */ 
    );// end settins 
    return $settings;
}

?>