<?php 
get_header();
?>
        <div id="main">
        <div class="container">
            <div id="main_content" class="twelve columns">
                
                <?php if ( have_posts() ) : ?>
                
                <?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
                <?php /* If this is a category archive */ if (is_category()) { ?>
                 <h1 class="twelve columns archives_title"><span><?php printf( __('Archive for category : %s', THEME_NAME), single_cat_title('', false)); ?></span></h1>
                <?php /* If this is a tag archive */ } elseif( is_tag() ) { ?>
                 <h1 class="twelve columns archives_title"><span><?php printf( __('Posts Tagged : %s', THEME_NAME), single_cat_title('', false) ); ?></span></h1>
                <?php /* If this is a daily archive */ } elseif (is_day()) { ?>
                 <h1 class="twelve columns archives_title"><span><?php  printf(__('Archive for : %s', THEME_NAME), get_the_time(__('F jS, Y',THEME_NAME)));  ?></span></h1>
                <?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
                 <h1 class="twelve columns archives_title"><span><?php  printf(__('Archive for : %s', THEME_NAME), get_the_time(__('F, Y',THEME_NAME)));  ?></span></h1>
                <?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
                 <h1 class="twelve columns archives_title"><span><?php  printf(__('Archive for : %s', THEME_NAME), get_the_time(__('Y',THEME_NAME)));  ?></span></h1>
                <?php /* If this is an author archive */ } elseif (is_author()) { ?>
                 <h1 class="twelve columns archives_title"><span><?php _e('Author Archive',THEME_NAME); ?></span></h1>
                <?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
                 <h1 class="twelve columns archives_title"><span><?php _e('Blog Archives',THEME_NAME); ?></span></h1>
                <?php } ?>
                
				<?php /* Start the Loop */ ?>
				<?php while ( have_posts() ) : the_post(); ?>

					<?php get_template_part( 'content'); ?>

				<?php endwhile; ?>
                <?php else : ?>
    
    				<article id="post-0" class="post no-results not-found">
    					<header class="entry-header">
    						<h1 class="entry-title"><?php _e( 'Nothing Found', THEME_NAME ); ?></h1>
    					</header><!-- .entry-header -->
    
    					<div class="entry-content">
    						<p><?php _e( 'Apologies, but no results were found for the requested archive. Perhaps searching will help find a related post.', THEME_NAME ); ?></p>
    						<?php get_search_form(); ?>
    					</div><!-- .entry-content -->
    				</article><!-- #post-0 -->
    
    			<?php endif; ?>
                
                <div class="navigation twelve columns" id="pagenavi">
                   <?php if(function_exists('wp_post_pagination')) : ?>
                   <?php wp_post_pagination();?>
             	   <?php else : ?>
                        <div class="alignleft"><?php next_posts_link(__('&laquo; Older Entries',THEME_NAME)) ?></div>
                        <div class="alignright"><?php previous_posts_link(__('Newer Entries &raquo;',THEME_NAME)) ?></div>
                        <div class="clear"></div>
                   <?php endif; ?>
                </div>  
                <div class="clear"></div>
                
            </div><!--/main-content -->
            <?php get_sidebar(); ?>
            <div class="clear"></div>
        </div>
        </div><!--/ main -->
<?php 
get_footer();
?>