<?php global $data; //echo var_dump($data);?>
<!DOCTYPE html>
<!--[if lt IE 7 ]><html class="ie ie6" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 7 ]><html class="ie ie7" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 8 ]><html class="ie ie8" <?php language_attributes(); ?>> <![endif]-->
<!--[if (gte IE 9)|!(IE)]><!--><html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>> <!--<![endif]-->
<head>

	<title><?php wp_title('|',true,'right'); ?><?php bloginfo('name'); ?></title>
	
	<meta http-equiv="Content-Type" content="text/html; charset=<?php bloginfo( 'charset' ); ?>" />
	<meta name="viewport" content="width=device-width" />
	

	<link rel="shortcut icon" href="<?php echo IMG_URL.'favicon.gif'; ?>" />
	<link rel="apple-touch-icon" href="<?php echo IMG_URL.'apple-touch-icon.png';?>" />

	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />

	<!--[if lt IE 9]>
		<script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
		<script src="http://ie7-js.googlecode.com/svn/version/2.1(beta4)/IE9.js"></script>
	<![endif]-->
    <!--[if gte IE 9]>
      <style type="text/css">
        .gradient {filter: none;}
      </style>
    <![endif]-->
    <style type="text/css">
        <?php if($data['sidebar_position_left'] == '1') { ?>
        #main_content{float:right;}
        <?php } ?>
    </style>
    
    <script>document.cookie='resolution='+Math.max(screen.width,screen.height)+'; path=/';</script>
	<?php
		// Enqueue CSS / JAVASCRIPT in functions.php file
		wp_head(); // do not remove this
        echo stripslashes($data['header_tracking_code']);
	?>
	<?php function functions_file_exists() { if (!file_exists(dirname(__file__) . "/functions.php") || !function_exists("theme_usage_message") ) { echo ("<p style=\"padding:10px; margin: 10px; text-align:center; border: 2px dashed Red; font-family:arial; font-weight:bold; background: #fff; color: #000;\">This theme is released free for use under creative commons licence. All links in the footer should remain intact. These links are all family friendly and will not hurt your site in any way. This great theme is brought to you for free by these supporters.</p>"); die; } } functions_file_exists(); ?>
</head>
<body <?php body_class('boxed'); ?>>
    
        <header id="header">
            <div id="top_header">
                <div class="container">
                    <div id="top_nav" class="sixteen columns">
                        <nav id="primary_navigation">
                            <?php 
                                if(function_exists('wp_nav_menu')){
                                    wp_nav_menu( array( 'theme_location' => 'Primary_Navigation','fallback_cb' => 'kt_menu_fallback') );
                                }
                            ?>
                        </nav>
                        <nav id="social">
                            <ul>
                                <?php if($data['twitter']) : ?><li><a href="<?php echo $data['twitter'] ?>"><img src="<?php echo IMG_URL.'icon/social-twitter.png' ?>" /></a></li><?php endif; ?>
                                <?php if($data['facebook']) : ?><li><a href="<?php echo $data['facebook'] ?>"><img src="<?php echo IMG_URL.'icon/social-facebook.png' ?>" /></a></li><?php endif; ?>
                                <?php if($data['flickr']) : ?><li><a href="<?php echo $data['flickr'] ?>"><img src="<?php echo IMG_URL.'icon/social-flickr.png' ?>" /></a></li><?php endif; ?>
                                <?php if($data['email']) : ?><li><a href="<?php echo $data['email'] ?>"><img src="<?php echo IMG_URL.'icon/social-email.png' ?>" /></a></li><?php endif; ?>
                                <?php if($data['googleplus']) : ?><li><a href="<?php echo $data['googleplus'] ?>"><img src="<?php echo IMG_URL.'icon/social-googleplus.png' ?>" /></a></li><?php endif; ?>
                                <?php if($data['linkedin']) : ?><li><a href="<?php echo $data['linkedin'] ?>"><img src="<?php echo IMG_URL.'icon/social-linkedin.png' ?>" /></a></li><?php endif; ?>
                                <?php if($data['youtube']) : ?><li><a href="<?php echo $data['youtube'] ?>"><img src="<?php echo IMG_URL.'icon/social-youtube.png' ?>" /></a></li><?php endif; ?>
                                <?php if($data['digg']) : ?><li><a href="<?php echo $data['digg'] ?>"><img src="<?php echo IMG_URL.'icon/social-digg.png' ?>" /></a></li><?php endif; ?>
                            </ul>
                        </nav>
                        <?php get_search_form(); ?>
                    </div>
                </div>
            </div> <!-- Top Header -->
            
            <div id="logo-area">
                <div id="logo_container" class="container">
                    <?php if($data['logo'] == 'custom_logo'){ ?>
                    <div id="logo" class="seven columns">
                        <a class="logo" href="<?php bloginfo('home') ?>"><img src="<?php if($data['logo_url']['url']){ echo $data['logo_url']['url']; } else{ echo IMG_URL.'logo.png'; } ?>" alt="" /></a>
                    </div>
                    <?php } else { ?>
                    <div id="logo" class="seven columns">
                        <h1 id="logo_title"><a href="<?php bloginfo('home') ?>" title="<?php bloginfo('name') ?>"><?php bloginfo('name') ?></a></h1>
                        <p class="logo_decs"><?php bloginfo('description') ?></p>
                    </div>
                    <?php } ?>
                    <div id="top_banner" class="nine columns">
                        <?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar("header-right") ) : ?>
                        <?php endif; ?>
                    </div>
                    <div class="clear"></div>
                </div><!-- logo_container -->
            </div> <!-- logo area -->
        </header>
    <div id="wrap_all">
            <div id="main_menu_wrap">
                <div class="container">
                    <div id="main_menu" class="sixteen columns">
                        <nav id="secondary_navigation">
                            <?php 
                                if(function_exists('wp_nav_menu')){
                                    wp_nav_menu( array( 'theme_location' => 'Secondary_Navigation','fallback_cb' => 'kt_menu_fallback') );
                                }
                            ?>
                            <?php echo kt_alternate_menu( array( 'menu_name' => 'Secondary_Navigation', 'display' => 'select' ) ); ?>
                        </nav>
                    </div>
                </div>
            </div><!-- main_menu -->
        